package com.jkcredit.invoice.model.entity.customer;

import com.jkcredit.invoice.model.vo.CardChangeVo;

import java.util.ArrayList;

/**
 * 企业换绑etc对象
 * @author mumuxigua
 */

public class CustomerEtcChangeInfo {

    /**
     * 客户名称
     */
    private String customerId;
    /**
     * 原公司编号
     */
    private String companyNum;

    /**
     * 原公司名称
     */
    private String companyName;

    /**
     * 目标公司编号
     */
    private String targetCompanyNum;

    /**
     * 目标公司名称
     */
    private String targetCompanyName;

    private String changeTime;

    private String applyId;

    private String info;

    /**
     * 换绑的卡号集合
     */
    private ArrayList<String> cardIdList;

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getTargetCompanyNum() {
        return targetCompanyNum;
    }

    public void setTargetCompanyNum(String targetCompanyNum) {
        this.targetCompanyNum = targetCompanyNum;
    }

    public ArrayList<String> getCardIdList() {
        return cardIdList;
    }

    public void setCardIdList(ArrayList<String> cardIdList) {
        this.cardIdList = cardIdList;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getTargetCompanyName() {
        return targetCompanyName;
    }

    public void setTargetCompanyName(String targetCompanyName) {
        this.targetCompanyName = targetCompanyName;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public void copyFromChangeDto(CardChangeVo cardChangeVo) {
        this.setCustomerId(cardChangeVo.getCustomerId());
        this.companyName = cardChangeVo.getCompanyName();
        this.companyNum = cardChangeVo.getCompanyNum();
        this.targetCompanyName = cardChangeVo.getTargetCompanyName();
        this.targetCompanyNum = cardChangeVo.getTargetCompanyNum();
        this.cardIdList = cardChangeVo.getCardIdList();
    }

    public String getChangeTime() {
        return changeTime;
    }

    public void setChangeTime(String changeTime) {
        this.changeTime = changeTime;
    }

    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }
}
